<bugID>1356957<Summary>[Performance] Call updateRequest once when updateRequest in netmonitor-controller</Summary><Description>As mentioned in bug 1350227 comment 3 by Ricky, updateRequest now call action.updateRequest 6 times, we can reduce the quest to 1 by merging data payload into one object and call updateRequest() once at the end of the function.</Description></bugID>